О новых версиях WordPress




NB-8000-6От своих читателей я получил несколько писем, в которых мне задают один и тот же вопрос. «Почему Вы не выкладываете новые версии движка WordPress, остановившись на версии 2.6.5? С тех пор WordPress уже несколько раз обновлялся и сейчас уже доступна версия 3.0.1. Что это за не любовь такая к новым версиям?» Я процитировал только одно письмо, так как остальные похожи по смыслу и сейчас попробую ответить на этот вопрос.

И так, давайте попробуем разобраться, зачем и кому нужны новые версии движка. Что вообще есть хорошего и полезного в новых версиях. Когда-то, разработчики WordPress трудились над двумя версиями движков — wordpress для личных блогов и wordpress mu, версией для блог-сервисов. Начиная с линейки 3.0.0, разработчики отказались от работы над двумя разными движками и объединили их в один. Так что теперь на wordpress можно делать не только личный блог, но и полноценный блог-сервис. Тем, кто решил открыть сервис блогов новая версия конечно необходима. Вместе с тем, нужен и другой подход к хостингу. С каждым разом, после очередного обновления движка, увеличивается потребление системных ресурсов скриптом WordPress. И теперь, чтобы блог нормально работал, нужно искать хостинг с более высокими параметрами или же арендовать сервер под свой проект. Думаю, для личного блога, это не позволительная роскошь. Зачем платить больше, если и за 30 рублей можно найти хостинг!?

Почему же разработчики не обращают внимание на то, что при новых разработках, увеличивается потребление ресурсов сервера? Возможно потому, что у них более мощные сервера, более мощная пропускная способность. У нас, я встречал хостинги, которые допускают нагрузку не больше одного процента. Для новой линейки движка, такой хостинг уже точно не подойдёт. Впрочем, на хостинге, где максимальная нагрузка равна десяти процентам, я бы не рискнул экспеременировать с новыми версиями WordPress — большое количество посетителей может повлиять на нагрузку CPU и превысить её в несколько раз.

Я не хочу рисковать и поэтому по-прежнему пользуюсь WordPress 2.6.5. Вы же, вправе выбирать, переходить на новые версии движка или нет. Что касается вопроса, заданного моими читателями, я могу выкладывать новые версии движка со всеми необходимыми плагинами, но тестировать их работу, на своём хостинге я не буду. Впрочем, возможно в этом нет необходимости. Я не занимаюсь переводом WordPress, я беру русскую версию движка и дополняю его всеми необходимыми плагинами.

P.s. Если вы заинтересованы в новых версиях движка, сообщите об этом в комментариях. И тогда, я буду выкладывать на своём блоге новые версии WordPress.
__
Пост создан при поддержке domostroy.ru, где вам помогут купить новостройку в московской области по цене, наиболее подходящей для вашего бюджета.







С этим читают так же:

Вы можете пропустить до конца и оставить ответ. Диагностики в настоящее время не допускается.

Написать комментарий